apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    //buildToolsVersion "26.0.3"
    defaultConfig {
        //applicationId "com.yuyife.banner"
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"
        flavorDimensions "default"
        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }
    }


    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }

    }

    productFlavors {
        //开发环境
        dev {
        }
        sit {
        }
        pro {
        }
    }
    repositories {
        flatDir {
            dirs 'libs' //this way we can find the .aar file in libs folder
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    api  "com.android.support:appcompat-v7:$rootProject.ext.supportVersion"
    //api  "com.android.support:design:$rootProject.ext.supportVersion"
    api  "com.android.support:recyclerview-v7:$rootProject.ext.supportVersion"
    //api  "com.android.support:cardview-v7:$rootProject.ext.supportVersion"
}
